import { api, usePost } from "@nice/client";
import { Post } from "@nice/common";
import React, { createContext, ReactNode, useState } from "react";
import { string } from "zod";

interface PostDetailContextType {
	editId?: string; // 添加 editId
	post?: Post;
	isLoading?: boolean;
}
interface PostFormProviderProps {
	children: ReactNode;
	editId?: string; // 添加 editId 参数
}
export const PostDetailContext = createContext<PostDetailContextType | null>(
	null
);
export function PostDetailProvider({
	children,
	editId,
}: PostFormProviderProps) {
	const { data: post, isLoading }: { data: Post; isLoading: boolean } = (
		api.post.findFirst as any
	).useQuery(
		{
			where: { id: editId },
		},
		{ enabled: Boolean(editId) }
	);
    // const {}:{} =(
	// 	api.post.fin as any
	// )

	return (
		<PostDetailContext.Provider
			value={{
				editId,
				post,

				isLoading,
			}}>
			{children}
		</PostDetailContext.Provider>
	);
}
